--- title: "Test your skills: floats" slug: Learn/CSS/CSS\_layout/Floats\_skills tags: - Beginner - CSS - Example - Floats - Guide - Layout ---

{{LearnSidebar}}

The aim of this task is to get you working with the CSS {{CSSxRef("float")}} and {{CSSxRef("clear")}} properties covered in our lesson on [Floats](/en-US/docs/Learn/CSS/CSS_layout/Floats). You will be working through three small tasks which use different elements of the material you have just covered.

**Note**: You can try out solutions in the interactive editors below. However, it may be helpful to download the code and use an online tool such as [CodePen](https://codepen.io/), [jsFiddle](https://jsfiddle.net/), or [Glitch](https://glitch.com/) to work on the tasks.  
  
If you get stuck, then ask us for help — see the {{anch("Assessment or further help")}} section at the bottom of this page.

Float one
---------

In this task, you need to float the two elements with a class of `float1` and `float2` left and right, respectively. The text should then appear between the two boxes, as in the image below.

![Two blocks displaying left and right of some text.](float-task1.png)

Try updating the live code below to recreate the finished example:

{{EmbedGHLiveSample("css-examples/learn/tasks/float/float1.html", '100%', 700)}}

For assessment or further work purposes, [download the starting point for this task](https://github.com/mdn/css-examples/blob/master/learn/tasks/float/float1-download.html) to work in your own editor or in an online editor.

Float two
---------

In this example, the element with a class of `float` should be floated left. Then we want the first line of text to display next to that element, but the following line of text (which has a class of `.below`) to display underneath it. You can see the desired result in this image.

![A box displayed to the left of a line of text, with some more text below.](float-task2.png)

Try updating the live code below to recreate the finished example:

{{EmbedGHLiveSample("css-examples/learn/tasks/float/float2.html", '100%', 800)}}

For assessment or further work purposes, [download the starting point for this task](https://github.com/mdn/css-examples/blob/master/learn/tasks/float/float2-download.html) to work in your own editor or in an online editor.

Float three
-----------

Finally, we have a floated element in this example. The box wrapping the float and text is displaying behind the float. Use the most up-to-date method available to cause the box background to extend to below the float, as in the image.

![A block displayed to the right of some text both wrapped by a box with a background color.](float-task3.png)

Try updating the live code below to recreate the finished example:

{{EmbedGHLiveSample("css-examples/learn/tasks/float/float3.html", '100%', 800)}}

For assessment or further work purposes, [download the starting point for this task](https://github.com/mdn/css-examples/blob/master/learn/tasks/float/float3-download.html) to work in your own editor or in an online editor.

Assessment or further help
--------------------------

You can practice these examples in the interactive editors mentioned above.

If you would like your work assessed, or are stuck and want to ask for help:

1.  Put your work into an online shareable editor such as [CodePen](https://codepen.io/), [jsFiddle](https://jsfiddle.net/), or [Glitch](https://glitch.com/). You can write the code yourself, or use the starting point files linked to in the above sections.
2.  Write a post asking for assessment and/or help at the <a href="https://discourse.mozilla.org/c/mdn/learn" class="external external-icon">MDN Discourse forum Learning category</a>. Your post should include:
    -   A descriptive title such as "Assessment wanted for Float skill test".
    -   Details of what you have already tried, and what you would like us to do, e.g. if you are stuck and need help, or want an assessment.
    -   A link to the example you want assessed or need help with, in an online shareable editor (as mentioned in {{anch("Learn Sidebar", "step 1")}} above). This is a good practice to get into — it's very hard to help someone with a coding problem if you can't see their code.
    -   A link to the actual task or assessment page, so we can find the question you want help with.
